"""Read Write eXecute."""

__version__ = "0.0.1"


class Class:
    """Root class."""

    def __repr__(self) -> str:
        """Represent object variables.

        :return: representation
        :rtype: str
        """
        name = self.__class__.__name__
        attributes = [
            f"{k}={v!r}" for k, v in vars(self).items() if not k.startswith("_")
        ]
        arguments = ", ".join(attributes)
        return f"{name}({arguments})"
